MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions | Variables
Permission.hxx File Reference

Go to the source code of this file.

## Functions
int | getPermissionFromPassword (char const *password, unsigned *permission)
unsigned | getDefaultPermissions ()
void | initPermissions ()

## Variables
static constexpr unsigned | PERMISSION_NONE = 0
static constexpr unsigned | PERMISSION_READ = 1
static constexpr unsigned | PERMISSION_ADD = 2
static constexpr unsigned | PERMISSION_CONTROL = 4
static constexpr unsigned | PERMISSION_ADMIN = 8

## Function Documentation

unsigned getDefaultPermissions | ( |  | ) |

int getPermissionFromPassword | ( | char const * | password,
|  | unsigned * | permission
| ) |  |

void initPermissions | ( |  | ) |

## Variable Documentation

constexpr unsigned PERMISSION_ADD = 2
| static

Definition at line 25 of file Permission.hxx.

constexpr unsigned PERMISSION_ADMIN = 8
| static

Definition at line 27 of file Permission.hxx.

constexpr unsigned PERMISSION_CONTROL = 4
| static

Definition at line 26 of file Permission.hxx.

constexpr unsigned PERMISSION_NONE = 0
| static

Definition at line 23 of file Permission.hxx.

constexpr unsigned PERMISSION_READ = 1
| static

Definition at line 24 of file Permission.hxx.